<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Add Note</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.2/dist/css/bootstrap.min.css" rel="stylesheet">
  </head>
  <body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light sticky-top">
      <div class="container-fluid">
        <a class="navbar-brand" href="{% url 'index' %}">PBP</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
          <div class="navbar-nav">
            <a class="nav-link" href="{% url 'lab4-index' %}">Note Table</a>
            <a class="nav-link active" href="{% url 'lab4-add-note' %}">Add Note</a>
            <a class="nav-link" href="{% url 'lab4-note-list' %}">Note Card</a>
          </div>
        </div>
      </div>
    </nav>
    <div class="container-sm">
      {% if messages %}
        {% for message in messages %}
          <div class="alert alert-success" role="alert" style="margin-top: 10px";>
            <p>{{ message }}</p>
          </div>
        {% endfor %}
      {% endif %}
      <h1 style="text-align:center; margin: 10px;">ADD NOTE</h1>
      <form action="" method="POST">
          {% csrf_token %}
          {{ form.as_p }}
          <input style="margin-bottom:10px;" type="submit" class="btn btn-primary" name="submit" value="Submit">
          <input style="margin-bottom:10px;" type="submit" class="btn btn-secondary" name="add_another" value="Submit and add another">
      </form>
    </div>
  </body>
</html>